
/***********   Estilos generales de la página   ***********/
/**********************************************************/
body {
    background-color: white;
    font-family: Helvetica, Arial, sans-serif; 
    font-size: 14px;
}

p {
	margin-top: 0 !important; /*quito el margen superior por defecto de los párrafos*/
}
.title1 {
    font-size: 150%;
    font-weight: bold; /* 100-900, normal = 400, bold = 700 */
}
.title2 {
    font-size: 150%;
    /*font-weight: bold; /* 100-900, normal = 400, bold = 700 */
}

.hidden {
    display: none !important;
}

a, a:link, a:visited, a:active,
label.lbllink {
	color: blue;
	cursor: pointer;
	text-decoration: none;
}
a:hover,
label.lbllink:hover {
	text-decoration: underline;
}

textarea {
    resize: none;
    overflow: hidden;
}

input[type="text"], textarea {
    border: 1px solid #777777;
    box-sizing: border-box;
    padding: 2px;
}
select, input[type="text"] {
    height: 23px
}

/* Custom file upload */
.metadatafield.fileupload {
    display: table;
}
.metadatafield.fileupload .filewrap {
	position: relative;
}
.metadatafield.fileupload .filedelete {
    margin-left: 2px;
    width: 16px;
    height: 16px;
    background-repeat: no-repeat;
    cursor: pointer;
    display: inline-block;
	position: relative;
	top: 3px;
}
.metadatafield.fileupload:hover .filedelete {
    background-image: url("../img/delete.png");
}
.metadatafield.fileupload .filedelete:hover {
    background-image: url("../img/deletehover.png");
}

.metacell .fileuploadtext {
    display: inline-block;
    font-size: 90%;
    line-height: 16px;
    margin-top: 6px;
}
.metacell .fileuploadtext ul {
    margin: 5px 0 5px -20px;
}

input[type="text"].mediumwidth {
    width: 100px;
}

input[type="text"].smallwidth {
    width: 50px;
}

input[type="text"].alignright {
    text-align: right;
}

select.field-error,
input[type="text"].field-error,
textarea.field-error {
    border: 1px solid red;
}

.fullwidth {
    width: 100%;
}

.marginbottom {
    margin-bottom: 14px;
}

.mandatory {
    color: red;
    font-weight: bold;
}

.lbldescripcion {
    color: #8D7C1C;
    display: block;
    font-size: 80%;
}

#header, #content, #footer {
    box-sizing: border-box;
    max-width: 960px;
    min-width: 240px; /*320px;*/
    margin: 0 auto;
    overflow-x: hidden;
    padding: 0 10px 10px 10px;
}

#header {
    margin-bottom: 15px;
    overflow: hidden;
    padding-bottom: 0px;
    position: relative;
    white-space: nowrap;
}
#header #logo {
    background-image: url("../img/fnac-logo-45.png");
    background-position: center;
	height: 55px; /* alto del logo */
    width: 65px; /* ancho del logo */
    background-repeat: no-repeat;
    display: block;
    float: left;
    margin-right: 15px;
}

#header #titlewrap {
	display: block;
	margin-left: 80px;
	margin-top: 1px;
	white-space: normal;
}
#header #headertitle1, 
#header #headertitle2 {
    display: block;
}

#content {
}

#buttonbar {
    margin-top: 15px;
    padding-bottom: 0;
}
.button {
    background-color: #F5F5F5;
    border: 1px solid #777777;
    cursor: pointer; /* default */
    float: right;
    margin-left: 20px;
    min-width: 56px;
    padding: 8px 25px;
    text-align: center;
}
.button:hover {
    background-color: #CCCCCC;
}

#footer {
	font-size: 90%;
    margin-bottom: 10px;
    margin-top: 15px;
    padding-bottom: 0;
	text-align: justify;
}

/**********  Lightbox  **********/
#lightbox {
    display: none;
    background-color: rgba(255, 255, 255, 0.5);
    position:fixed;
    top:0; 
    left:0; 
    width:100%; 
    height:100%;
    z-index: 10000;
}
#lb-verticalwrap {
    display: table-cell;
    vertical-align: middle;
}
#lb-content {
    display: none;
    background-color: #FFFFFF;
    border: 2px solid #777777;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
    padding: 5px;
}
#lb-content:not(.lbtype-page) {
    width: 370px;
    height: 86px; /*120px*/
}
#lb-waitgif {
    display: none;
    background-image: url("../img/wait64.gif");
    background-position: center;
    background-repeat: no-repeat;
    height: 64px;
}
.lb-waitwrap {
    box-sizing: border-box;
    display: block;
    height: 100%;
    overflow: hidden;
    padding: 10px;
}
#lb-waitimg {
    background-image: url("../img/wait64.gif");
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    float: left;
    height: 64px;
    width: 64px;
    margin-right: 15px;
}
#lb-waittext {
    display: table-cell;
    height: 64px;
    overflow: hidden;
    vertical-align: middle;
}

#lb-header {
    background-repeat: no-repeat;
    background-position: 5px center;
    display: block;
    height: 28px;
    line-height: 30px;
    padding-left: 35px;
}
#lb-close {
    float: right;
    background-image: url("../img/x32b.png"); 
    opacity: 0.5;
    width: 32px; 
    height: 32px;
}

#lb-close:hover {
    opacity: 1;
}

#lb-content.lbtype-error {
    background-color: #FDF5F1;
    border: 2px solid #DF6033;
    height: inherit; /*unset*/
    min-height: 86px;
    max-height: 220px;
}
#lb-content.lbtype-error #lb-header {
    background-image: url("../img/error24.png");
}
#lb-content.lbtype-error #lb-body {
    margin: 5px 25px 5px 35px;
}
#lb-content.lbtype-message {
    background-color: #FCFDFD;
    border: 2px solid #A6C9E2;
    height: inherit; /*unset*/
    min-height: 86px;
    max-height: 220px;
}
#lb-content.lbtype-message #lb-body {
    margin: 0 25px 30px 35px;
}
#lb-content.lbtype-page {
	background-color: #FCFDFD;
	border: 2px solid #A6C9E2;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	min-height: 185px; /*215px*/
	max-height: calc(100% - 80px);
	left: 40px;
	right: 40px;
	box-sizing: border-box;
	max-width: 800px;
}
#lb-content.lbtype-page #lb-body {
	line-height: 23px;
    margin: 14px 25px 20px 35px;
	min-height: 114px; /*144px*/
	max-height: calc(100vh - 80px - 46px - 30px - 4px); /* 100% ventana - margenes del LB - alto cabecera - padding - border */
	overflow: auto;
}
#lb-content.lbtype-page #lb-body #lb-bodyscroller {
	display: block;
	position: absolute;
	left: 40px;
	right: 30px;
	top: 46px; /*35px*/
	bottom: 25px;
	overflow-y: auto;
}



/***************************************************************************/
/***********   0)  Estilos generales de las partes responsivas   ***********/
/***************************************************************************/
.metagroup-header {
    display: inline-block;
    margin-top: 15px;
    margin-bottom: 5px;
    position: relative;
    width: 100%;
}
.metagroup-header.last {
    margin-bottom: 0;
}
#dinamicform > .metagroup-header:first-child {
    margin-top: 5px;
}

.metagroup-title {
    display: block;
    overflow: hidden;
}

.metagroup {
    background-color: #F5F5F5;
    border: 1px solid #777777;
    display: block;
}
.metagroup.plaintext {
    background-color: white;
	border: none;
	text-align: justify;
}

.metarow {
    display: block;
    line-height: 23px;/* 20px */
}
.metagroup .metarow:not(:last-child) {
    border-bottom: 1px solid #777777;
}
.metacell, .metaname, .metavalue {
    box-sizing: border-box;
    padding: 5px;
    position: relative;
    vertical-align: top;
    word-wrap: break-word;
}
.metacell {
    display: inline-block;
}
.metacell.inputcell {
    height: 33px;
}




/***************************************************************************************/
/***********   1)  Estilos propios para pantalla grande: más de 800 pixels   ***********/
/***************************************************************************************/
@media (min-width: 800px) { 
	#header #titlewrap.simple {
		margin-top: 15px;
	}

	.metaname {
        display: inline-block;
    }
	.metaname.leftcolumn {
		width: 15%;
	}
    .metaname:not(.fullwidth):not(.leftcolumn) {
        width: 50%
    }
    .metavalue {
        display: inline-block;
    }
    .metavalue.leftcolumn {
        width: 85%;
    }
    .metavalue:not(.leftcolumn) {
        width: 50%;
    }

	.metagroup.inputform br.responsivebr { display: none; }
	/* Primera línea */
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(1) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(2) { width: 53%; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(3) { width: 12%; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(4) { width: 20%; }

	/* Segunda línea */
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(1) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(2) { width: 53%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(3) { width: 12%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(4) { width: 20%; }

	/* Tercera línea */
	.metagroup.inputform > .metarow:nth-of-type(2) > br.responsivebr:nth-of-type(2) { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(n+5) { border-top: 1px solid #777777; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(5) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(6) { width: 9%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(7) { width: 12%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(8) { width: 32%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(9) { width: 12%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(10) { width: 20%; }

	/* Cuarta línea */
	.metagroup.inputform > .metarow:nth-of-type(3) > .metacell:nth-of-type(1) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(3) > .metacell:nth-of-type(2) { width: 85%; }

	/* Quinta línea */
	.metagroup.inputform > .metarow:nth-of-type(4) > .metacell:nth-of-type(odd) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(4) > .metacell:nth-of-type(even) { width: 35%; }

	/* Sexta línea */
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(1) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(2) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(3) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(4) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(5) { width: 15%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(6) { width: 20%; }

	/* Formulario de Consulta */
	.metagroup.contactform > .metarow:nth-of-type(1) > .metacell:nth-of-type(odd) { width: 20%; }
	.metagroup.contactform > .metarow:nth-of-type(1) > .metacell:nth-of-type(even) { width: 80%; }

	.metagroup.contactform > .metarow:nth-of-type(2) > .metacell:nth-of-type(odd) { width: 20%; }
	.metagroup.contactform > .metarow:nth-of-type(2) > .metacell:nth-of-type(even) { width: 30%; }

	.metagroup.contactform > .metarow:nth-of-type(3) > .metacell:nth-of-type(odd) { width: 20%; }
	.metagroup.contactform > .metarow:nth-of-type(3) > .metacell:nth-of-type(even) { width: 80%; }
}




/*********************************************************************************************/
/***********   2)  Estilos propios para pantalla mediana: entre 400 y 800 pixels   ***********/
/*********************************************************************************************/
@media (min-width: 400px) and (max-width: 799px) { 
	#header #titlewrap.simple {
		margin-top: 15px;
	}

	.metaname {
        display: block;
    }
    .metavalue {
        display: block;
        padding-left: 40px;
    }

	.metagroup.inputform br.responsivebr { display: none; }
	.metagroup.inputform > .metarow > .metacell:nth-of-type(n+3) { border-top: 1px solid #777777; }
	/* Primera línea */
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(1) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(2) { width: 80%; }

	/* Segunda línea */
	.metagroup.inputform > .metarow:nth-of-type(1) > br.responsivebr { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(3) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(1) > .metacell:nth-of-type(4) { width: 80%; }

	/* Tercera línea */
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(1) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(2) { width: 80%; }

	/* Cuarta línea */
	.metagroup.inputform > .metarow:nth-of-type(2) > br.responsivebr:nth-of-type(1) { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(3) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(4) { width: 30%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(5) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(6) { width: 30%; }

	/* Quinta línea */
	.metagroup.inputform > .metarow:nth-of-type(2) > br.responsivebr:nth-of-type(3) { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(7) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(8) { width: 30%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(9) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(2) > .metacell:nth-of-type(10) { width: 30%; }

	/* Sexta línea */
	.metagroup.inputform > .metarow:nth-of-type(3) > .metacell:nth-of-type(1) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(3) > .metacell:nth-of-type(2) { width: 80%; }

	/* Séptima línea */
	.metagroup.inputform > .metarow:nth-of-type(4) > br.responsivebr { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(4) > .metacell:nth-of-type(odd) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(4) > .metacell:nth-of-type(even) { width: 80%; }

	/* Octava línea */
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(1) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(2) { width: 80%; }

	/* Novena línea */
	.metagroup.inputform > .metarow:nth-of-type(5) > br.responsivebr:nth-of-type(1) { display: block; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(3) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(4) { width: 30%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(5) { width: 20%; }
	.metagroup.inputform > .metarow:nth-of-type(5) > .metacell:nth-of-type(6) { width: 30%; }

	/* Formulario de Consulta */
	.metagroup.contactform > .metarow > .metacell:nth-of-type(odd) { width: 25%; }
	.metagroup.contactform > .metarow > .metacell:nth-of-type(even) { width: 75%; }

	.metagroup.contactform > .metarow:nth-of-type(2) > .metacell:nth-of-type(3),
	.metagroup.contactform > .metarow:nth-of-type(2) > .metacell:nth-of-type(4) { border-top: 1px solid #777777; }
}


/* Transición intermedia del grupo de datos generales */
@media (min-width: 400px) and (max-width: 644px) { 
	.metagroup.inputform br.responsivebr { display: block; }
	.metagroup.inputform > .metarow > .metacell:nth-of-type(odd) { width: 34% !important; }
	.metagroup.inputform > .metarow > .metacell:nth-of-type(even) { width: 66% !important; }

	/* Formulario de Consulta */
	.metagroup.contactform > .metarow > .metacell:nth-of-type(odd) { width: 34% !important; }
	.metagroup.contactform > .metarow > .metacell:nth-of-type(even) { width: 66% !important; }
}



/******************************************************************************************/
/***********   3)  Estilos propios para pantalla pequeña: menos de 400 pixels   ***********/
/******************************************************************************************/
@media (max-width: 399px) { 
    #header #logo {
        float: none;
    }
    #header #titlewrap {
		margin-left: 0px;
        margin-top: 5px;
    }

    #lb-content {
        width: 237px;
    }
    #lb-waitimg {
        background-image: url("../img/wait32.gif");
        width: 32px;
    }

    .metaname {
        display: block;
    }
    .metavalue {
        display: block;
        padding-left: 40px;
    }

	.metagroup.inputform br.responsivebr { display: none; }
	.metagroup.inputform > .metarow > .metacell { display: block; }
	.metagroup.inputform > .metarow > .metacell:nth-of-type(n+3):nth-of-type(odd) { border-top: 1px solid #777777; }
	.metagroup.inputform > .metarow > .metacell:nth-of-type(even) { padding-left: 40px; }

	/* Formulario de Consulta */
	.metagroup.contactform > .metarow > .metacell { display: block; }
	.metagroup.contactform > .metarow > .metacell:nth-of-type(even) { padding-left: 40px; }
	.metagroup.contactform > .metarow:nth-of-type(2) > .metacell:nth-of-type(3) {  border-top: 1px solid #777777; }
}

